;M561                         ; clear any existing bed transform
;G1 Z5						 ; _RRF3_ remove S2 
;G30 P0 X15 Y45 Z-99999
;G30 P1 X15 Y275 Z-99999
;G30 P2 X275 Y150 Z-99999 S3
;;G30 P3 X275 Y45 Z-99999 S3
;G1 X0 Y0 F5000               ; move the head to the corner (optional)

;Satre suggestion
;M561                         ; clear any existing bed transform
;G1 Z5                         ; RRF3 remove S2 
;G30 P0 X15 Y45 Z-99999
;G30 P1 X15 Y275 Z-99999
;G30 P2 X275 Y275 Z-99999 
;G30 P3 X275 Y45 Z-99999 S3
;G1 X0 Y0 F5000               ; move the head to the corner (optional


; New 2/5/2020
M98 P"0:/macros/Lighting/Red-On.g"
if !move.axes[0].homed || !move.axes[1].homed	; If the printer hasn't been homed, home it
M98 P"0:/sys/homex.g"							; home x
M98 P"0:/sys/homey.g"							; home Y
M98 P"0:/sys/homez.g"							; home z
;
M561											; clear any bed transform
;M558 P9 H5 F120 T24000							; increase dive height
;M98 P"0:/sys/bed_FourScrews.g"					; perform bed tramming
M98 P"0:/sys/bed_ThreeScrews.g"					; perform bed tramming
;
echo "Bed Traming Cycle: 1 - Difference was " ^ move.calibration.initial.deviation ^ "mm"
;
while move.calibration.initial.deviation >= 0.01	; perform additional tramming if previous deviation was over 0.02mm
	if iterations = 5
		abort "Too many auto tramming attempts"
	M98 P"0:/sys/bed_ThreeScrews.g"
	echo "Bed Traming Cycle: " ^ iterations + 2 ^ " - Difference was " ^ move.calibration.initial.deviation ^ "mm"
		continue

;

G28 Z							; home z
M98 P"0:/macros/Lighting/Red-Off.g"
M98 P"0:/macros/Lighting/Green-On.g"

